---
lang: en
title: 'API docs: http-caching-proxy.proxyoptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/http-caching-proxy
permalink: /doc/en/lb4/apidocs.http-caching-proxy.proxyoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/http-caching-proxy](./http-caching-proxy.md) &gt; [ProxyOptions](./http-caching-proxy.proxyoptions.md)

## ProxyOptions interface

**Signature:**

```typescript
export interface ProxyOptions 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[cachePath](./http-caching-proxy.proxyoptions.cachepath.md)


</td><td>


</td><td>

string


</td><td>

Directory where to keep the cached snapshots.


</td></tr>
<tr><td>

[logError?](./http-caching-proxy.proxyoptions.logerror.md)


</td><td>


</td><td>

boolean


</td><td>

_(Optional)_ A flag if the error should be logged


</td></tr>
<tr><td>

[port?](./http-caching-proxy.proxyoptions.port.md)


</td><td>


</td><td>

number


</td><td>

_(Optional)_ The port where the HTTP proxy should listen at. Default: 0 (let the system pick a free port)


</td></tr>
<tr><td>

[timeout?](./http-caching-proxy.proxyoptions.timeout.md)


</td><td>


</td><td>

number


</td><td>

_(Optional)_ Timeout to connect to the target service


</td></tr>
<tr><td>

[ttl?](./http-caching-proxy.proxyoptions.ttl.md)


</td><td>


</td><td>

number


</td><td>

_(Optional)_ How long to keep snapshots before making a new request to the backend. The value is in milliseconds.

Default: one day


</td></tr>
</tbody></table>


